petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexGetDepthStratum

Get the bounds [start, end) for all points at a certain depth.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetDepthStratum(DM dm, PetscInt stratumValue, PetscInt *start, PetscInt *end)

Not Collective

### Input Parameters

| dm | - The DMPlex object
| stratumValue | - The requested depth

### Output Parameters

| start | - The first point at this depth
| end | - One beyond the last point at this depth

### Keywords

mesh, points

### See Also

DMPlexGetHeightStratum(), DMPlexGetDepth()

### Level

developer

### Location

src/dm/impls/plex/plex.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages